[Rd] packages built against upcoming releases

Jan Theodore Galkowski bayesianlogic at acm.org
Sun Jan 17 16:33:59 CET 2010

I admire package-builders being proactive and having their facilities
ready for upcoming  R releases.  However, if the publicly released
version of R is 2.10.1 and a package is built for R 2.11.0, users get
the embarrassing notice about a disconnect, and cannot do much about it.

If it is tedious to roll out a new package on time, perhaps there's a
possibility for automation here.

Thanks.  I encountered this yesterday with RHmm.  I'm running R on

Happy R user!

 - Jan Galkowski.

More information about the R-devel mailing list